<template>
	<view id="preview-content"></view>
</template>

<script>
	// #ifdef H5
	import Pdfh5 from "pdfh5"; //插件中文文档地址 https://github.com/gjTool/pdfh5
	import "pdfh5/css/pdfh5.css";
	// #endif
	
	export default {
		data() {
			return {
				// 各小程序平台，Web-view 加载的 url 需要在后台配置域名白名单，包括内部再次 iframe 内嵌的其他 url
				pdfh5: null,
			}
		},
		onLoad(options) {
			const filePath = options.filePath		
			// #ifdef H5
			this.$nextTick(function() {
				const options = {
					 pdfurl: filePath,
					 lazy: true,
				}
				this.pdfh5 = new Pdfh5("#preview-content", {...options}); //实例化					
			})		
			// #endif
		},
		methods: {

		}
	}
</script>

<style lang="scss">
	#preview-content {
		width: 100%;
		height: 100%;
		position: fixed;
		top: 0;
		left: 0;
	}

	body img {
		margin: 0 auto;
	}
</style>
